Find the answer to your Linux question:
Results 1 to 3 of 3
So I'm trying to up my kernel from 2.6.18.1 to 2.6.18.3. And a strange problem is coming up. I've done everything properly (I think!). Compiled the kernel by running, in ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Oct 2006
    Posts
    11

    FC6 kernel upgrade -- boot error


    So I'm trying to up my kernel from 2.6.18.1 to 2.6.18.3. And a strange problem is coming up.

    I've done everything properly (I think!). Compiled the kernel by running, in order, from the source folder:

    make menuconfig
    make
    make modules_install

    Then I copied vmlinux.strip to the /boot folder as linux-2.6.18.3, moved in the System.map, config file, created an initrd file, and added the new info to yaboot.conf.

    But when I try loading the new kernel from the boot prompt, I get the following error:

    /pci@f4000000/ata-6@d/disk@0:3,/boot/vmlinux-2.6.18.3: No such file or directory

    But the file is clearly there! No typos or anything.

    Has anybody ever come across this before? I'm wondering if there's another file on my hard drive with boot info? Any advice would be appreciated!

  2. #2
    Just Joined!
    Join Date
    Oct 2006
    Posts
    11
    Fixed!

    All it needed was a 'ybin'.

    I'm an idiot.

  3. #3
    Just Joined!
    Join Date
    Nov 2006
    Posts
    4
    wow you answered your own thread...nice job lol

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •